<p align="center">
<img src="https://jenil.github.io/chota/logo.svg" />
<br><br>
A really small CSS framework
<br><br>
<img src="https://img.shields.io/npm/v/chota.svg">
<a href="https://www.npmjs.com/package/chota"><img src="https://img.shields.io/npm/dt/chota.svg"></a>
<a href="https://github.com/jenil/chota/issues"><img src="https://img.shields.io/github/issues/jenil/chota.svg"></a>
</p>

<br>


- ⚡️&nbsp; Super light-weight. Just ~3kb (minified + gzipped).
- ⛔️&nbsp; No preprocessor, just plug-n-play
- 📐&nbsp; Magical 12 column [grid](https://jenil.github.io/chota/#grid)
- 🌈&nbsp; Easy to [extend](https://jenil.github.io/chota/#customizing) with CSS variables
- 🎲&nbsp; Comes with a handful of [components](https://jenil.github.io/chota/#components) &amp; [utilities](https://jenil.github.io/chota/#utilities)
- ✅&nbsp; Good Semantics
- 🤡&nbsp; Supports icons from [Icongram](https://icongr.am/)

<br>

### Get started

CDN:
```html
<link rel="stylesheet" href="https://unpkg.com/chota">
```

npm or yarn:
```bash
npm install chota
```

#### SASS support
Chota is designed keeping in mind *ease-of-use* and *minimalism*, hence it doesn't use any preprocessor or complex build process. If you would still like to extend it further using SASS, head to [palmiak's fork](https://github.com/palmiak/chota).

<br>

## Browsers support

| <img src="https://raw.githubusercontent.com/godban/browsers-support-badges/master/src/images/edge.png" alt="IE / Edge" width="16px" height="16px" /></br>IE / Edge | <img src="https://raw.githubusercontent.com/godban/browsers-support-badges/master/src/images/firefox.png" alt="Firefox" width="16px" height="16px" /></br>Firefox | <img src="https://raw.githubusercontent.com/godban/browsers-support-badges/master/src/images/chrome.png" alt="Chrome" width="16px" height="16px" /></br>Chrome | <img src="https://raw.githubusercontent.com/godban/browsers-support-badges/master/src/images/safari.png" alt="Safari" width="16px" height="16px" /></br>Safari | <img src="https://raw.githubusercontent.com/godban/browsers-support-badges/master/src/images/opera.png" alt="Opera" width="16px" height="16px" /></br>Opera | <img src="https://raw.githubusercontent.com/godban/browsers-support-badges/master/src/images/safari-ios.png" alt="iOS Safari" width="16px" height="16px" /></br>iOS Safari | <img src="https://raw.githubusercontent.com/godban/browsers-support-badges/master/src/images/chrome-android.png" alt="Chrome for Android" width="16px" height="16px" /></br>Chrome for Android |
| --------- | --------- | --------- | --------- | --------- | --------- | --------- |
| Edge 16+| last 2 versions| last 2 versions| last 2 versions| last 2 versions| last 2 versions| last 2 versions
---

&copy; Jenil Gogari 2017-present. Code released under the [MIT license](https://github.com/jenil/chota/blob/master/LICENSE).
